Bug 238211 - (Catalyst-Runtime) Review Request: perl-Catalyst-Runtime - Catalyst core modules
Review Request: perl-Catalyst-Runtime - Catalyst core modules
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
http://search.cpan.org/dist/Catalyst-...
:
Depends On: perl-Data-Dump perl-File-Modified 237741 Text-SimpleTable 237888 perl-GTop
Blocks: 238233 238236 238237 perl-Catalyst-Devel
  Show dependency treegraph
 
Reported: 2007-04-27 20:04 EDT by Chris Weyl
Modified: 2010-08-25 13:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 01:17:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora_requires_release_note?
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-04-27 20:04:31 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Runtime-5.7007-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Runtime.spec

Description:
This is the primary class for the Catalyst-Runtime distribution.  It provides
the core of the of any runtime Catalyst instance.
Comment 1 Chris Weyl 2007-04-27 22:41:18 EDT
catalyst.pl requires perl(Catalyst::Helper) which is (will be) provided by
perl-Catalyst-Devel...  which has a BR on this package.

So we drop catalyst.pl from here, and will include it with perl-Catalyst-Devel
instead.

See also http://rt.cpan.org/Public/Bug/Display.html?id=26758

SRPM URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Runtime-5.7007-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Runtime.spec
Comment 2 Parag AN(पराग) 2007-05-13 23:49:07 EDT
make test gave me 
t/01use.....................................................ok
t/02pod.....................................................skipped
        all skipped: Test::Pod 1.14 required
t/03podcoverage.............................................skipped
        all skipped: Test::Pod::Coverage 1.04 required
t/c3_mro....................................................skipped
        all skipped: This test requires Class::C3

and 

t/optional_http-server-restart..............................skipped 
        all skipped: Catalyst::Devel required
t/optional_http-server......................................skipped
        all skipped: Catalyst::Devel required
t/optional_lighttpd-fastcgi-non-root........................skipped
        all skipped: Catalyst::Devel required
t/optional_lighttpd-fastcgi.................................skipped
        all skipped: Catalyst::Devel required
t/optional_memleak..........................................skipped
        all skipped: set TEST_MEMLEAK to enable this test

Comment 3 Chris Weyl 2007-05-14 11:39:17 EDT
Skipping the "TEST_MEMLEAK" tests is deliberate -- there's an odd one-off bug
that seems to impact one of the tests (and that particular set of tests is being
rewritten for the next release); a cpan bug has been filed against this.

Similarly, skipping the Catalust::Devel tests is deliberate; Catalyst::Devel
requires Catalyst::Runtime, so to try to BR Catalyst::Devel will create a
circular builddep. See also http://rt.cpan.org/Public/Bug/Display.html?id=27123.

Test::Pod, ::Coverage, and Class::C3 have been added.

SRPM URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Runtime-5.7007-3.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Runtime.spec
Comment 4 Chris Weyl 2007-05-14 15:41:54 EDT
In fact, latest word back is:

"Those tests are all optional and are intended only for developers, so it
doesn't really matter that they require Catalyst::Devel . . . that's why there
is code in each optional test to require an environment variable to run them."
Comment 5 Parag AN(पराग) 2007-05-14 23:33:59 EDT
As package is having circular deps on -Devel package, make test easily skipped
-devel tests as seen in given below make test output.

Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
2d4d22d4153b49d64ed715bfd81d809d  Catalyst-Runtime-5.7007.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'inc', 'blib/lib', 'blib/arch')" t/01use.t t/02pod.t t/03podcoverage.t
t/c3_mro.t t/custom_live_component_controller_action_auto_doublebug.t
t/live_component_controller_action_action.t
t/live_component_controller_action_auto.t
t/live_component_controller_action_begin.t
t/live_component_controller_action_chained.t
t/live_component_controller_action_default.t
t/live_component_controller_action_detach.t
t/live_component_controller_action_end.t
t/live_component_controller_action_forward.t
t/live_component_controller_action_global.t
t/live_component_controller_action_index.t
t/live_component_controller_action_inheritance.t
t/live_component_controller_action_local.t
t/live_component_controller_action_multipath.t
t/live_component_controller_action_path.t
t/live_component_controller_action_private.t
t/live_component_controller_action_regexp.t
t/live_component_controller_action_streaming.t
t/live_component_controller_args.t t/live_engine_request_body.t
t/live_engine_request_cookies.t t/live_engine_request_headers.t
t/live_engine_request_parameters.t t/live_engine_request_uploads.t
t/live_engine_request_uri.t t/live_engine_response_cookies.t
t/live_engine_response_errors.t t/live_engine_response_headers.t
t/live_engine_response_large.t t/live_engine_response_redirect.t
t/live_engine_response_status.t t/live_engine_setup_basics.t
t/live_engine_setup_plugins.t t/live_fork.t t/live_loop.t t/live_plugin_loaded.t
t/live_priorities.t t/live_recursion.t t/optional_http-server-restart.t
t/optional_http-server.t t/optional_lighttpd-fastcgi-non-root.t
t/optional_lighttpd-fastcgi.t t/optional_memleak.t t/optional_stress.t
t/optional_threads.t t/unit_controller_config.t t/unit_controller_namespace.t
t/unit_core_action_for.t t/unit_core_component.t t/unit_core_component_layers.t
t/unit_core_component_loading.t t/unit_core_log.t
t/unit_core_merge_config_hashes.t t/unit_core_mvc.t t/unit_core_path_to.t
t/unit_core_plugin.t t/unit_core_uri_for.t t/unit_core_uri_for_action.t
t/unit_load_catalyst_test.t t/unit_utils_load_class.t t/unit_utils_prefix.t
t/unit_utils_request.t
t/01use.....................................................ok
t/02pod.....................................................ok
t/03podcoverage.............................................ok
t/c3_mro....................................................ok
t/custom_live_component_controller_action_auto_doublebug....ok
t/live_component_controller_action_action...................ok
t/live_component_controller_action_auto.....................ok
t/live_component_controller_action_begin....................ok
t/live_component_controller_action_chained..................ok
t/live_component_controller_action_default..................ok
t/live_component_controller_action_detach...................ok
t/live_component_controller_action_end......................ok
t/live_component_controller_action_forward..................ok
t/live_component_controller_action_global...................ok
t/live_component_controller_action_index....................ok
t/live_component_controller_action_inheritance..............ok
t/live_component_controller_action_local....................ok
t/live_component_controller_action_multipath................ok
t/live_component_controller_action_path.....................ok
t/live_component_controller_action_private..................ok
t/live_component_controller_action_regexp...................ok
t/live_component_controller_action_streaming................ok
t/live_component_controller_args............................ok
t/live_engine_request_body..................................ok
t/live_engine_request_cookies...............................ok
t/live_engine_request_headers...............................ok
t/live_engine_request_parameters............................ok
t/live_engine_request_uploads...............................ok
t/live_engine_request_uri...................................ok
t/live_engine_response_cookies..............................ok
t/live_engine_response_errors...............................ok
t/live_engine_response_headers..............................ok
t/live_engine_response_large................................ok
t/live_engine_response_redirect.............................ok
t/live_engine_response_status...............................ok
t/live_engine_setup_basics..................................ok
t/live_engine_setup_plugins.................................ok
t/live_fork.................................................ok
t/live_loop.................................................ok
t/live_plugin_loaded........................................ok
t/live_priorities...........................................ok
t/live_recursion............................................ok
t/optional_http-server-restart..............................skipped
        all skipped: Catalyst::Devel required
t/optional_http-server......................................skipped
        all skipped: Catalyst::Devel required
t/optional_lighttpd-fastcgi-non-root........................skipped
        all skipped: Catalyst::Devel required
t/optional_lighttpd-fastcgi.................................skipped
        all skipped: Catalyst::Devel required
t/optional_memleak..........................................skipped
        all skipped: set TEST_MEMLEAK to enable this test
t/optional_stress...........................................ok
t/optional_threads..........................................ok
t/unit_controller_config....................................ok
t/unit_controller_namespace.................................ok
t/unit_core_action_for......................................ok
t/unit_core_component.......................................ok
t/unit_core_component_layers................................ok
t/unit_core_component_loading...............................ok
t/unit_core_log.............................................ok
t/unit_core_merge_config_hashes.............................ok
t/unit_core_mvc.............................................ok
t/unit_core_path_to.........................................ok
t/unit_core_plugin..........................................ok
t/unit_core_uri_for.........................................ok
t/unit_core_uri_for_action..................................ok
t/unit_load_catalyst_test...................................ok
t/unit_utils_load_class.....................................ok
t/unit_utils_prefix.........................................ok
t/unit_utils_request........................................ok
All tests successful, 8 tests skipped.
Files=66, Tests=2683, 101 wallclock secs (74.57 cusr +  4.61 csys = 79.18 CPU)

+ Provides: perl(Catalyst) = 5.7007 perl(Catalyst::Action)
perl(Catalyst::ActionChain) perl(Catalyst::ActionContainer)
perl(Catalyst::AttrContainer) perl(Catalyst::Base) perl(Catalyst::Build)
perl(Catalyst::Component) perl(Catalyst::Controller)
perl(Catalyst::DispatchType) perl(Catalyst::DispatchType::Chained)
perl(Catalyst::DispatchType::Default) perl(Catalyst::DispatchType::Index)
perl(Catalyst::DispatchType::Path) perl(Catalyst::DispatchType::Regex)
perl(Catalyst::Dispatcher) perl(Catalyst::Engine) perl(Catalyst::Engine::CGI)
perl(Catalyst::Engine::FastCGI) perl(Catalyst::Engine::HTTP)
perl(Catalyst::Engine::HTTP::Restarter)
perl(Catalyst::Engine::HTTP::Restarter::Watcher) perl(Catalyst::Exception)
perl(Catalyst::Exception::Base) perl(Catalyst::Log) perl(Catalyst::Model)
perl(Catalyst::Request) perl(Catalyst::Request::Upload) perl(Catalyst::Response)
perl(Catalyst::Runtime) perl(Catalyst::Test) perl(Catalyst::Utils)
perl(Catalyst::View)
+ Requires: perl(:MODULE_COMPAT_5.8.8) perl(CGI::Simple::Cookie) perl(Carp)
perl(Catalyst::Action) perl(Catalyst::ActionChain)
perl(Catalyst::ActionContainer) perl(Catalyst::Controller)
perl(Catalyst::DispatchType::Default) perl(Catalyst::DispatchType::Index)
perl(Catalyst::Engine::HTTP::Restarter)
perl(Catalyst::Engine::HTTP::Restarter::Watcher) perl(Catalyst::Exception)
perl(Catalyst::Log) perl(Catalyst::Request) perl(Catalyst::Request::Upload)
perl(Catalyst::Response) perl(Catalyst::Utils) perl(Class::Accessor::Fast)
perl(Class::Data::Inheritable) perl(Class::Inspector) perl(Config)
perl(Data::Dump) perl(Devel::InnerPackage) perl(Errno) perl(File::Copy)
perl(File::Find) perl(File::Modified) perl(File::Spec) perl(File::Spec::Unix)
perl(File::stat) perl(HTML::Entities) perl(HTTP::Body) perl(HTTP::Date)
perl(HTTP::Headers) perl(HTTP::Request) perl(HTTP::Status) perl(IO::File)
perl(IO::Select) perl(IO::Socket) perl(IO::Socket::INET) perl(Module::Build)
perl(Module::Pluggable::Object) perl(NEXT) perl(Path::Class)
perl(Path::Class::Dir) perl(Path::Class::File) perl(Scalar::Util) perl(Socket)
perl(Text::Balanced) perl(Text::SimpleTable) perl(Time::HiRes)
perl(Tree::Simple) perl(Tree::Simple::Visitor::FindByPath)
perl(Tree::Simple::Visitor::FindByUID) perl(URI) perl(URI::QueryParam)
perl(attributes) perl(base) perl(bytes) perl(constant) perl(overload)
perl(strict) perl(utf8) perl(vars) perl(warnings)

APPROVED.
Comment 6 Chris Weyl 2007-05-14 23:36:47 EDT
New Package CVS Request
=======================
Package Name: perl-Catalyst-Runtime
Short Description: Catalyst core modules
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 7 Chris Weyl 2007-05-15 01:17:14 EDT
Imported and building.  Thanks for the review!

Release note people:  This might be worth noting, if release notes aren't frozen
yet :)  With this package, the core Catalyst MVC web framework runtime is in
Fedora...  There's more to go, of course, but the core is there.
Comment 8 Paul W. Frields 2007-05-15 13:00:31 EDT
The release notes beats are open on the wiki for editing by the community.  You
should probably put this in
http://fedoraproject.org/wiki/Docs/Beats/PackageNotes ... See if this fits into
a listed category, otherwise add one at the bottom for it.
Comment 9 Iain Arnell 2010-08-25 01:57:47 EDT
Package Change Request
======================
Package Name: perl-Catalyst-Runtime
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig
Comment 10 Kevin Fenzi 2010-08-25 13:15:18 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.